{
    "name": "hub_frontend",
    "version": "0.1.0",
    "private": true,
    "scripts": {
        "start": "craco start",
        "build": "craco build",
        "test": "craco test --env=node --transformIgnorePatterns \"node_modules/(?!@frontend)/\"",
        "test:cart": "vitest ./src/utils/calcCart",
        "eject": "craco eject",
        "test:cypress": "start-server-and-test start http://localhost:3000 cypress",
        "cypress": "cypress open",
        "prepare": "husky install"
    },
    "dependencies": {
        "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
        "@emotion/react": "^11.10.5",
        "@emotion/styled": "^11.10.5",
        "@frontend/kitui": "^1.0.91",
        "@mui/icons-material": "^5.10.14",
        "@mui/material": "^5.10.14",
        "@mui/x-date-pickers": "^7.13.0",
        "@popperjs/core": "^2.11.8",
        "axios": "^1.4.0",
        "buffer": "^6.0.3",
        "classnames": "^2.3.2",
        "cypress": "^12.17.3",
        "formik": "^2.2.9",
        "husky": "^8.0.3",
        "immer": "^10.0.2",
        "isomorphic-fetch": "^3.0.0",
        "js-big-decimal": "^2.0.7",
        "moment": "^2.30.1",
        "notistack": "^3.0.1",
        "pdfjs-dist": "3.6.172",
        "react": "^18.3.1",
        "react-dom": "^18.3.1",
        "react-error-boundary": "^4.0.11",
        "react-pdf": "^7.1.2",
        "react-router-dom": "^6.15.0",
        "react-slick": "^0.29.0",
        "slick-carousel": "^1.8.1",
        "swr": "^2.2.5",
        "transliteration": "^2.3.5",
        "use-debounce": "^10.0.0",
        "web-vitals": "^2.1.0",
        "yup": "^1.1.1",
        "zustand": "^4.3.8"
    },
    "devDependencies": {
        "@craco/craco": "^7.1.0",
        "@testing-library/jest-dom": "^5.14.1",
        "@testing-library/react": "^13.0.0",
        "@testing-library/user-event": "^13.2.1",
        "@types/jest": "^27.0.1",
        "@types/node": "^16.7.13",
        "@types/react": "^18.0.0",
        "@types/react-dom": "^18.0.0",
        "@types/react-slick": "^0.23.10",
        "@typescript-eslint/eslint-plugin": "^6.9.1",
        "@typescript-eslint/parser": "^6.9.1",
        "craco-alias": "^3.0.1",
        "docz": "^2.4.0",
        "eslint": "^8.53.0",
        "eslint-plugin-react": "^7.33.2",
        "jest": "^29.5.0",
        "react-scripts": "5.0.1",
        "typescript": "^5.4.2",
        "vitest": "^1.4.0"
    },
    "browserslist": {
        "production": [
            ">0.2%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    }
}
